Name:           usdtweak
Version:        2024.12.15
Release:        %autorelease
Summary:        USD Standalone Editor

License:        Apache
URL:            https://github.com/cpichard/usdtweak
Source0:        %{url}//archive/refs/tags/%{version}-prealpha.zip

BuildRequires:  cmake >= 3.14
BuildRequires:  gcc-c++
BuildRequires:  chrpath

Requires:       opensubdiv
Requires:       usd
BuildRequires:  usd-devel

BuildRequires:  libglvnd-devel
BuildRequires:  python3-devel
BuildRequires:  yaml-cpp-devel
BuildRequires:  imath-devel
BuildRequires:  glfw-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libwayland-cursor
BuildRequires:  libwayland-egl
BuildRequires:  libwayland-server
BuildRequires:  libxkbcommon-x11

# Needed by USD
%if 0%{?fedora} > 40
BuildRequires:  tbb-devel
%else
BuildRequires:  tbb2020.3-devel
%endif
BuildRequires:  cmake(Alembic)
BuildRequires:  hdf5-devel
BuildRequires:  draco-devel
BuildRequires:  openshadinglanguage
BuildRequires:  pkgconfig(oslexec)
BuildRequires:  cmake(OpenImageIO)
BuildRequires:  opensubdiv-devel
BuildRequires:  openvdb-devel
BuildRequires:  pkgconfig(ptex)
BuildRequires:  cmake(OpenColorIO)
BuildRequires:  embree-devel
BuildRequires:  double-conversion-devel
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(libavif)


%description
USD Standalone Editor.


%prep
%autosetup -p1 -n %{name}-%{version}-prealpha

# Change config file to .config folder
sed -i 's/\/\./\/.config\//g' \
        src/resources/ResourcesLoader.cpp

sed -i 's|glfw3 [0-9.]*|glfw3|g' \
        CMakeLists.txt

# imgui.ini on .config dir instead of relative to workdir
sed -i 's|imgui.ini|~/.config/usdtweak.ini|g' \
        src/3rdparty/imgui/imgui.cpp

sed -i '8a\#include <algorithm> // For std::sort and std::replace' \
        src/widgets/FileBrowser.cpp


%build
%cmake \
-DBUILD_SHARED_LIBS=OFF \
-Dglfw3_DIR=%{_libdir}/cmake/glfw3
%cmake_build


%install
install -Dm755 redhat-linux-build/usdtweak %{buildroot}%{_bindir}/usdtweak
chrpath --delete %{buildroot}%{_bindir}/usdtweak


%files
%license LICENSE
%doc README.md
%{_bindir}/usdtweak

%changelog
%autochangelog
